SQ(1)

NAME
sq sign - Sign messages or data files

SYNOPSIS
sq sign [OPTIONS] FILE

DESCRIPTION
Sign messages or data files.

Creates signed messages or detached signatures. Detached signatures are often used to sign software packages.

The converse operation is `sq verify`.

`sq sign` respects the reference time set by the top-level `--time` argument. When set, it uses the specified time instead of the current time, when determining what keys are valid, and it sets the signature's creation time to the reference time instead of the current time.

OPTIONS

  Subcommand options

-B, --binary
    Emit binary data

-a, --append
    Append a signature to existing signature

--cleartext-signature
    Create a cleartext signature

--detached
    Create a detached signature

--merge=SIGNED-MESSAGE
    Merge signatures from the input and SIGNED-MESSAGE

-n, --notarize
    Sign a message and all existing signatures

--notation NAME VALUE
    Add a notation to the certification. A user-defined notation's name must be of the form `name@a.domain.you.control.org`. If the notation's name starts with a `!`, then the notation is marked as being critical. If a consumer of a signature doesn't understand a critical notation, then it will ignore the signature. The notation is marked as being human readable.

-o, --output=FILE
    Write to FILE or stdout if omitted

    [default: -]

--signer-file=KEY_FILE
    Sign the message using the key in KEY_FILE

--signer-key=KEYID|FINGERPRINT
    Sign the message using the specified key on the key store

FILE
    Read from FILE or stdin if FILE is '-'

    [default: -]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Create a signed message

    sq sign --signer-file juliet.pgp message.txt

Create a detached signature

    sq sign --detached --signer-file juliet.pgp message.txt

Create a signature with the specified creation time

    sq sign --time 20020304 --detached --signer-file juliet.pgp \
        message.txt

SEE ALSO
sq(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.37.0 (sequoia-openpgp 1.20.0)